use proto::ProtEntityType;

use crate::{player::avatar::AvatarTeamEntity, scene::Scene};

use super::Entity;

pub fn create_avatar_team_entity(scene: &mut Scene) -> AvatarTeamEntity {
    let mut entity = AvatarTeamEntity::default();
    entity.set_entity_id(scene.gen_new_entity_id(ProtEntityType::ProtEntityTeam));

    entity
}
